Kreskowanie przekroju TechDraw

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Hatch and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎română • ‎русский
Arrow-left.svg Techdraw-hatch.svg Hatching poprzedni:
następny: Geometric Hatch Techdraw-geomhatch.png Arrow-right.svg

TechDraw Hatch.svg TechDraw Hatch

Menu location
TechDraw → Hatch
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw GeomHatch, TechDraw Hatching


Wprowadzenie

Narzędzie Hatch wypełnia zamknięty obszar w TechDraw NewView wzorcem kreskowania, którym mogą być pliki SVG lub bitmap.

TechDraw Hatch example.png

SVG hatch pattern on a face


Jak używać

  1. Wybierz zamknięty obszar w widoku. Wybrany przez Ciebie obszar zmieni kolor na zielony.
  2. Naciśnij przycisk|TechDraw Hatch.png Hatch.
  3. Być może będziesz musiał nacisnąć przycisk ponownego przetworzenia View-rotate-right.png.

Uwagi

  • Obiekty kreskowania są podatne na problemy z nazewnictwem topologicznym. Aby uzyskać więcej informacji, zobacz informacje w narzędziu TechDraw Dimension Length. Zaleca się, aby kreskowanie było jednym z ostatnich kroków w procesie rysowania.
  • Zauważ, że wzory kreskowania SVG nie są uwzględniane, gdy strona rysunku jest zapisywana jako plik SVG.

Przykładowe wzory SVG są dostępne w

$INSTALL_DIR/Mod/Draft/Resources/patterns

gdzie $INSTALL_DIR to katalog, w którym zainstalowano FreeCAD, na przykład

/usr/share/freecad/Mod/Draft/Resources/patterns

Właściwości

  • DATASource: Widok i ściana, aby otrzymać wzór kreskowania.
  • DATAHatch Pattern: Pełna ścieżka i nazwa pliku wzorca SVG.
  • VIEWHatch Color: Wzór kreskowania zostanie wyświetlony w tym kolorze.
  • VIEWHatch Scale: Modyfikator rozmiaru wzoru kreskowania.

Tworzenie skryptów

Zobacz również: TechDraw API i FreeCAD Scripting Basics.

Narzędzie Hatch może być używane w makrach i z konsoli Python za pomocą następujących funkcji:

hatch = FreeCAD.ActiveDocument.addObject('TechDraw::DrawHatch','Hatch')
hatch.Source = (view1,["Face0"])
hatch.HatchPattern = hatchFileSpec
rc = page.addView(hatch)


Arrow-left.svg Techdraw-hatch.svg Hatching poprzedni:
następny: Geometric Hatch Techdraw-geomhatch.png Arrow-right.svg